package rocks.zipcode.quiz3a.objectorientation.spice;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.objectorientation.Ginger;
import rocks.zipcode.quiz3a.objectorientation.Pepper;
import rocks.zipcode.quiz3a.objectorientation.Spice;

/**
 * @author leon on 27/12/2018.
 */
public class SpicePolymorphismTest {
    @Test
    public void testPepperIsSpice() {
        Assert.assertTrue((Object) new Pepper() instanceof Spice);
    }

    @Test
    public void testGingerIsSpice() {
        Assert.assertTrue((Object) new Ginger() instanceof Spice);
    }
}
